Edit the given vendor opening balance.
curl --request PUT \
--url https://api.example.com/api/vendors/{id}/opening-balance \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--header 'organization-id: <organization-id>' \
--data '
{
"openingBalance": 5000,
"openingBalanceAt": "2024-01-01",
"openingBalanceExchangeRate": 1,
"openingBalanceBranchId": 101
}
'import requests
url = "https://api.example.com/api/vendors/{id}/opening-balance"
payload = {
"openingBalance": 5000,
"openingBalanceAt": "2024-01-01",
"openingBalanceExchangeRate": 1,
"openingBalanceBranchId": 101
}
headers = {
"Authorization": "<authorization>",
"organization-id": "<organization-id>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Authorization: '<authorization>',
'organization-id': '<organization-id>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
openingBalance: 5000,
openingBalanceAt: '2024-01-01',
openingBalanceExchangeRate: 1,
openingBalanceBranchId: 101
})
};
fetch('https://api.example.com/api/vendors/{id}/opening-balance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Vendors
Edit the given vendor opening balance.
PUT
/
api
/
vendors
/
{id}
/
opening-balance
Edit the given vendor opening balance.
Headers
Value must be 'Bearer ' where is an API key prefixed with 'bc_' or a JWT token.
Example:
"Bearer bc_1234567890abcdef"
Required if Authorization is a JWT token. The organization ID to operate within.
Path Parameters
Body
application/json
Response
200 - undefined
Delete the given vendor.Validates which vendors can be deleted and returns counts of deletable and non-deletable vendors.
⌘I